package smart_gs.swingui.toolbar.action;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.AbstractButton;
import javax.swing.ButtonModel;
import javax.swing.JToggleButton;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;

import smart_gs.drawing_tool.drawing_mode.LineSegEditorDefaultMode;
import smart_gs.drawing_tool.drawing_mode.LineSegEditorDrawMode;
import smart_gs.smleditor.swingui.LineSegEditor;

public class LineSegEditorDrawActionListener implements ActionListener {
	LineSegEditor editor;

	public LineSegEditorDrawActionListener(LineSegEditor editor) {
		this.editor = editor;
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		LineSegEditorDrawMode tmp = LineSegEditorDrawMode.getInstance();
		tmp.setEditor(editor);
		editor.setMode(tmp);
	}
}
